package com.factory.controller.web;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.factory.base.entity.aggregates.PageBean;
import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.base.util.res.ResponseBeanBuilder;
import com.factory.web.entity.pm.PreventMistakePlanListReq;
import com.factory.web.entity.pm.PreventMistakePlanListRes;
import com.factory.web.entity.vo.req.web.AddIniPlanReq;
import com.factory.web.service.pm.PreventMistakeService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiOperationSupport;
import lombok.extern.slf4j.Slf4j;

/**
 * 防错计划
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
@Api(tags = "WEB - 防错")
@RestController
@RequestMapping("/benteler/web/pm")
@Slf4j
public class PreventMistakeController {
    @Autowired
    private PreventMistakeService preventMistakeService;
    
    
//    @ApiOperation(value = "新建防错计划")
//    @PostMapping("/addIniPlan")
//    @ApiOperationSupport(order = 1)
//    public ResponseBean addIniPlan(@RequestBody AddIniPlanReq req) {
//        return ResponseBeanBuilder.ok(bentelerIniVersionService.addIniPlan(req));
//    }

    @ApiOperation(value = "防错计划列表")
    @ApiOperationSupport(order = 2)
    @PostMapping("/pmPlanlist")
    public ResponseBean<PageBean<PreventMistakePlanListRes>> planlist(@RequestBody PreventMistakePlanListReq req) {
        return preventMistakeService.getPreventMistakePlanList(req);
    }
    
}
