package com.factory.web.service.pm;

import com.baomidou.mybatisplus.extension.service.IService;
import com.factory.base.entity.aggregates.PageBean;
import com.factory.base.entity.aggregates.ResponseBean;
import com.factory.base.entity.po.benteler.BentelerPlan;
import com.factory.web.entity.pm.PreventMistakePlanListReq;
import com.factory.web.entity.pm.PreventMistakePlanListRes;

/**
 * 防错计划
 *
 * @author wzy
 * @date 2021-07-09 12:00:00
 */
public interface PreventMistakeService extends IService<BentelerPlan> {

	/**
     * 计划名称是否重复
     * @param name
     * @return 
     */
    public boolean planNameRepetition(String name);

    /**
     * 取得巡检项目列表
     * @param req
     * @return 巡检项目列表
     */
    public ResponseBean<PageBean<PreventMistakePlanListRes>> getPreventMistakePlanList(PreventMistakePlanListReq req);
    
}
